/**
 * Theme Name: Ge7 - TBA
 * Template:   twentytwentyfive
 * Author: MvA Internet Services GmbH
 * Author URI: https://www.mva.ch/
 * Version: 1.3
 */

:root .wp-block-file__button {
    font-size: var(--wp--preset--font-size--small);
    border-radius: 0;
}

html {
    font-size: 16px;
}

body, html {
    min-height: 100vh;
    min-height: 100dvh;
}

body {
    display: flex;
    flex-direction: column;
}

.wp-site-blocks {
    flex-grow: 1;
    display: flex;
    flex-direction: column;

    main {
        flex-grow: 1;
    }
}

h1, h2, h3, h4, h5, h6 {
    overflow-wrap: break-word;  /* moderner Standard */
    word-wrap: break-word;      /* für ältere Browser */
    hyphens: auto;              /* trennt Wörter mit Silbentrennung */
}
b,
strong {
    font-weight: 900;
}

a[href$=".pdf"] {
    position: relative;
    font-weight: 900;
    text-decoration: none;
    color: #666;
    transition: color 0.3s ease-in-out;

    svg {
        fill: #666;
        transition: fill 0.3s ease-in-out;
        width: 1.4em;
        height: 1.4em;
        transform: translateY(4px);
        margin-right: 0.5em;
    }

    &:hover {
        color: #000;
        svg {
            fill: #000;
        }
    }
}
.is-style-section-1 {
    a[href$=".pdf"] {
        color: #FFF;
        svg {
            fill: #FFF;
        }
    }
}

.wp-block-post-excerpt__more-link {
    padding: 0.5rem 2rem;
    font-weight: 900;
    background-color: #000;
    color: #fff;
    text-decoration: none;
    transition: background-color 0.3s ease-in-out;
    font-size: var(--wp--preset--font-size--smaller);

    &:hover {
        background-color: #333;
    }
}

.wp-block-navigation ul {
    gap: 2rem;
}

/* Kadence Blocks */
.wp-block-kadence-posts.grid-cols {
    gap: 0;

    &.grid-lg-col-3 {
        display: flex;
        flex-flow: row wrap;
        list-style-type: none;
        padding: .5rem 0 0 .5rem;

        .kb-post-list-item {
            background-color: #f0f0f0;
            margin-bottom: .5rem;
            margin-right: .5rem;
            position: relative;
            width: 100%;

            &:before {
                background-color: #f0f0f0;
                content: "";
                display: block;
                height: calc(100% + 16px);
                left: -.5rem;
                position: absolute;
                top: -.5rem;
                width: calc(100% + 16px);
            }

            article {
                background-color: #fff;
                padding: 2rem;
                position: relative;
                text-decoration: none;

                box-shadow: none;
                border-radius: 0;

                .entry-content-wrap {
                    padding-left: 0;
                    padding-right: 0;
                    padding-bottom: 0;

                    .entry-title a {
                        color: var(--wp--preset--color--blau-zh);
                        text-decoration: none;
                        font-size: var(--wp--preset--font-size--smaller);

                    }
                }
            }

            .more-link-wrap {
                margin-top: 2rem;

                .post-more-link {
                    padding: 0.5rem 2rem;
                    background-color: #000;
                    color: #fff;
                    text-transform: none;
                    font-size: var(--wp--preset--font-size--x-small);
                    font-weight: 900;
                    display: table;
                }
            }

            &:hover {
                z-index: 1;
                article {
                    .entry-content-wrap .entry-title a {
                        color: #000;
                    }
                }

                &:before {
                    background-color: #e4e4e4;
                }
            }
        }
    }
    &.grid-lg-col-3 {
        display: flex;
        flex-flow: row wrap;
        list-style-type: none;
        padding: .5rem 0 0 .5rem;

        .kb-post-list-item {

            flex-basis: calc(33.33% - 8px);
            max-width: calc(33.33% - 8px);


        }
    }
}


/* < 1250px: nur Toggle/Overlay zeigen */
@media (max-width: 1249.98px) {
    .wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: flex;
    }
    .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
        display: none;
    }
}

/* ≥ 1250px: klassische Liste zeigen, Overlay/Toggles verstecken */
@media (min-width: 1250px) {
}


.webequipe-pdf-result {
    padding: 0;
    margin: 0;
}
.webequipe-pdf-result a {
    color: #fff;
    display: inline-block;
}
.webequipe-pdf-result .wp-block-post-date a {
    color: inherit;
}
.webequipe-pdf-result h2 {
    font-size: var(--wp--preset--font-size--x-large);
}
.webequipe-pdf-result h3 {
    font-size: var(--wp--preset--font-size--large);
}

